## mapserver 4.10.3-1

=== debian/changelog ===
mapserver (4.10.3-1) unstable; urgency=high

  [ Andreas Putzo ]
  * New upstream release.
    - Fixed XSS vulnerabilities.
      [http://trac.osgeo.org/mapserver/ticket/2256]
    - Fixed possible buffer overflow in template processing.
      [http://trac.osgeo.org/mapserver/ticket/2252]
    (Closes: #439346)
  * Added myself to Uploaders.
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #433710
  * Debconf translation updates:
    - Galician. Closes: #434326
    - Tamil. Closes: #434401
    - Russian. Closes: #434406
    - Portuguese. Closes: #434438
    - German. Closes: #434653
    - Vietnamese. Closes: #434758
    - French. Closes: #435933
    - Czech. Closes: #436280
    - Dutch. Closes: #436853
    
 -- Andreas Putzo <andreas@putzo.net>  Tue, 28 Aug 2007 08:21:59 +0000

mapserver (4.10.2-1) unstable; urgency=low

  [ Francesco Paolo Lovergine ]
  * New upstream release.
    (closes: #412836)
  * Fixed PHP case in long descriptions.
    (closes: #425987)

  [ Fabio Tranchitella ]
  * debian/README.Debian: added a note about PHP and FCGI support.
    (Closes: #425571)

 -- Fabio Tranchitella <kobold@debian.org>  Sun, 24 Jun 2007 11:44:44 +0200

mapserver (4.10.1-1) unstable; urgency=low

  [ Francesco Paolo Lovergine ]
  * debian/po/nl.po added. (closes: #415504)
  * Moved to gdal 1.4.1 dependency. (closes: #424635, #423538)
  * Removed php4 support (closes: #418313)
  * Updated long descriptions.
  * Removed Thomas Sondag among Uploaders (last contribute dated more than 2 years ago).
  * Moved to libcurl4 build-deps.
  * Added a debian/README.etch for notes on backporting.
  * Moved to debhelper compatibility level 5.
  * Removed superfluous dh_python in debian/rules.
  * A new debian/control.etch file has been introduced to retain etch compatibility.
    All php4 related files have been maintained for the same reason. Please, don't remove them!
  * Merging other relevant patches from BSP NMU 4.10.0-6.1. Thanks Luk Claes.
  	- Fixed package priority to meet overrides
  	- Fix language in description (closes: #416449)
  	- Add Dutch debconf translation (closes: #415504)

  [ Fabio Tranchitella ]
  * New upstream release.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 21 May 2007 00:07:28 +0200

mapserver (4.10.0-6) unstable; urgency=low

  * debian/po/ja.po: added, thanks to Kobayashi Noritada. (Closes: #413119)
  * Change my email address now that I'm a Debian Developer

 -- Paul Wise <pabs@debian.org>  Sat,  3 Mar 2007 17:59:20 +0900

mapserver (4.10.0-5) unstable; urgency=medium

  * debian/po/de.po: added, thanks to Alwin Meschede. (Closes: #405727)

 -- Fabio Tranchitella <kobold@debian.org>  Sat, 13 Jan 2007 22:54:20 +0100

mapserver (4.10.0-4) unstable; urgency=medium

  * debian/po/pt.po: updated. (Closes: #401386)
  * debian/po/fr.po: added. (Closes: #399395)

 -- Fabio Tranchitella <kobold@debian.org>  Mon, 18 Dec 2006 16:38:22 +0100

mapserver (4.10.0-3) unstable; urgency=low

  * debian/control: build-depends on libpq-dev. (Closes: #396565)

 -- Fabio Tranchitella <kobold@debian.org>  Thu,  2 Nov 2006 11:44:17 +0100

mapserver (4.10.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Fabio Tranchitella <kobold@debian.org>  Wed,  1 Nov 2006 09:47:09 +0100

mapserver (4.10.0-1) experimental; urgency=low

  * New upstream release.
  * debian/po/fr.po: updated. (Closes: #388573)
  * debian/po/cz.po: updated. (Closes: #389220)

 -- Fabio Tranchitella <kobold@debian.org>  Fri, 20 Oct 2006 11:01:01 +0000

mapserver (4.8.4-1) unstable; urgency=low

  * New upstream release
  * Update for new Python policy (Closes: #373461, #360576)
  * Install shp2mysql.pl as shp2mysql
  * Remove question from long desc for php mapscript debconf questions
  * Remove shp2pdf, since mapserver is build without PDFlib (non-free)
  * Suggest libdbi-perl for mapserver-bin for shp2mysql
  * Fix shebang lines in debian/php*-config
  * Remove python mapscript build dirs on clean
  * Bump Standards-Version (no changes)
  * Fix gdal build-dep - new upstream is libgdal1-1.3.2-dev (Closes: #383140, #383830, #386073)
  * Update debconf templates and translations

 -- Paul Wise <pabs3@bonedaddy.net>  Mon, 21 Aug 2006 09:47:48 +0800

mapserver (4.8.3-2) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Fix typos in the config and prerm scripts for
    php[45]-mapscript. (Closes: #363115)

 -- Petter Reinholdtsen <pere@debian.org>  Mon,  1 May 2006 08:43:05 +0200

mapserver (4.8.3-1) unstable; urgency=low

  [ Schuyler Erle ]
  * New upstream bugfix release 4.8.3
  * Include patch for sarge backporting and instructions in
    README.sarge.

  [ Paul Wise ]
  * New upstream bugfix release 4.8.2
    - drop 10_python_build: useless, only for Windows
  * Add php_mapscript.so to apache2 php.ini as well. This is a workaround
    for #346184, upstream is looking into it.
  * Install shp2pdf and tile4ms too. Closes: #359615
  * Change priority to extra in line with ftpmaster override

  [ Petter Reinholdtsen ]
  * Remove the generated files mapscript/csharp/Makefile and
    mapscript/php3/Makefile when cleaning up the source directory, to
    avoid noise in the debian diff.

 -- Petter Reinholdtsen <pere@debian.org>  Sat,  1 Apr 2006 11:14:50 +0200

mapserver (4.8.1-2) unstable; urgency=low

  [ Paul Wise ]
  * Make the build target no longer depend on build-indep. This is not
    policy-compliant (see 7.6 and 4.8), but it is needed to work around
    the fact that the autobuilders call debian/rules build (instead of
    build-arch), but do not install Build-Depends-Indep packages.
    build-indep is an indirect dependency of the binary and binary-indep
    targets, so non-autobuilder builds will still work.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 20 Feb 2006 11:10:25 +0100

mapserver (4.8.1-1) unstable; urgency=low

  [ Paul Wise ]
  * New upstream release

