=== debian/control ===
Source: mapserver
Section: devel
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Schuyler Erle <schuyler@nocat.net>, Petter Reinholdtsen <pere@debian.org>, Paul Wise <pabs@debian.org>, Fabio Tranchitella <kobold@debian.org>, Francesco Paolo Lovergine <frankie@debian.org>, Andreas Putzo <andreas@putzo.net>
Standards-Version: 3.7.2
Build-Depends: debhelper (>= 5.0.37.2), dpatch, libcurl4-gnutls-dev, libpng12-dev,
 zlib1g-dev (>= 1.1.4), libgd2-xpm-dev (>= 2.0.1-10), libfreetype6-dev (>= 2.0.9),
 libjpeg62-dev, libgdal1-dev (>=1.4.0), proj, libwww-dev, libpq-dev, php5-dev, swig,
 python-all, python-all-dev, python-central (>= 0.5), libgeos-dev (>= 2.2.3-2)
Build-Depends-Indep: python-docutils
Build-Conflicts: libcurl3-openssl-dev
XS-Python-Version: all

Package: php5-mapscript
Section: web
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: mapserver-bin, mapserver-doc
Description: php5-cgi module for MapServer
 PHP MapScript provides MapServer functions for PHP scripts.

Package: perl-mapscript
Section: perl
Architecture: any
Depends: ${perl:Depends}, ${shlibs:Depends}
Suggests: mapserver-bin, mapserver-doc
Description: Perl MapServer library
 Perl MapScript provides MapServer functions for Perl scripts.

Package: cgi-mapserver
Section: web
Architecture: any
Depends: ${shlibs:Depends}
Suggests: mapserver-bin, mapserver-doc
Description: CGI executable for MapServer
 This package contains the mapserv CGI program. It provides the
 MapServer template language, and can be used to implement Web Map
 Service applications.
 .
 MapServer is a CGI-based framework for Internet map services which
 supports Open Geospatial Consortium (OGC) standards. Scripting
 functionality in MapScript is provided by the suggested mapscript
 library packages.
 .
  Homepage: http://mapserver.gis.umn.edu

Package: python-mapscript
Section: python
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}
Suggests: mapserver-bin, mapserver-doc
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Python library for MapServer
 Python MapScript provides MapServer functions for Python scripts.

Package: mapserver-bin
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${perl:Depends}
Suggests: libdbi-perl, perl-mapscript, python-mapscript, cgi-mapserver, mapserver-doc, php5-mapscript
Description: MapServer utilities
 This package provides command-line utilities for MapServer.
 .
 MapServer is a CGI-based framework for Internet map services which
 supports Open Geospatial Consortium (OGC) standards. Scripting
 functionality in MapScript is provided by the suggested mapscript
 library packages.
 .
  Homepage: http://mapserver.gis.umn.edu

Package: mapserver-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends}
Suggests: perl-mapscript, python-mapscript, php5-mapscript, cgi-mapserver
Description: documentation for MapServer
 This package provides some brief documentation for MapServer.
 .
 MapServer is a CGI-based framework for Internet map services which
 supports Open Geospatial Consortium (OGC) standards. Scripting
 functionality in MapScript is provided by the suggested mapscript
 library packages.
 .
  Homepage: http://mapserver.gis.umn.edu
