## mapserver 5.6.6

=== debian/changelog ===
mapserver (5.6.6-1) unstable; urgency=low

  [ Alan Boudreault ]
  * New upstream release some bug fixes.

  [ Francesco Paolo Lovergine ]
  * Moved to debian source 3.0 and quilt support.
  * Policy bumped to 3.9.1 withous changes.
  * Fixed Vcs-* fields in debian/control.
  * Fixed debian-rules-makemaker-prefix-is-deprecated in debian/rules.
  * Fixed debhelper-but-no-misc-depends in libmapscript-ruby.
  * lintian-overrides updated.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sat, 12 Mar 2011 11:23:08 +0100

mapserver (5.6.5-2) unstable; urgency=high

  * Fix Validation of symbol index values (CVE-2010-1678)
    [http://trac.osgeo.org/mapserver/ticket/3641]
	
 -- Alan Boudreault <aboudreault@mapgears.com>  Thu, 06 Jan 2011 11:18:29 -0500

mapserver (5.6.5-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build-Depends on libedit-dev as the package FTBFS without it
    Closes: #606247
  * Fix pending l10n issues. Debconf translations:
    - Czech (Miroslav Kure).  Closes: #599847
    - Vietnamese (Clytie Siddall).  Closes: #601922
    - Danish (Joe Hansen).  Closes: #605618
    - Italian (Vincenzo Campanella).  Closes: #605858

 -- Christian Perrier <bubulle@debian.org>  Mon, 06 Dec 2010 07:09:55 +0100

mapserver (5.6.5-1) unstable; urgency=low

  * New upstream release with an important bug fix about scale calculation.
  * Added OGC SOS server support.

 -- Alan Boudreault <aboudreault@mapgears.com>  Thu, 15 Jul 2010 10:55:19 -0400

mapserver (5.6.4-1) unstable; urgency=high

  [ Alan Boudreault ]
  * New upstream release, with important security bug fixes.
  * Fix Buffer overflow in msTmpFile function.
    [http://trac.osgeo.org/mapserver/ticket/3484]
  * Fix insecure mapserv CGI command-line debug args.
    [http://trac.osgeo.org/mapserver/ticket/3485]

  [ Francesco Paolo Lovergine ]
  * Policy bumped to 3.9.4, no changes required.
  * Note that in practice bashisms are avoided due to current options selection.
    (closes: #582098)
  * Urgency set to high due to security fixes included.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 12 Jul 2010 22:28:39 +0200

mapserver (5.6.3-2) unstable; urgency=low

  * Added palette support for rgba png.

 -- Alan Boudreault <aboudreault@mapgears.com>  Wed, 30 Jun 2010 09:19:51 -0400

mapserver (5.6.3-1) unstable; urgency=low

  [ Alan Boudreault ]
  * New upstream release, with important bug fixes.
  * Fixed some typo in debian/control.

  [ Francesco Paolo Lovergine ]
  * Policy bumped to 3.8.4 without changes.
  * Removed Andreas Putzo among Uploaders: last contribution dated more than
    two years ago.
  * Added shapelib to Suggests in mapserver-bin. 

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 24 Mar 2010 22:13:25 +0100

mapserver (5.6.1-1) unstable; urgency=low

  [ Alan Boudreault ]
  * New upstream release, with a few important bug fixes.
  * Modified ruby mapscript package to use ruby 1.9.1 instead of 1.9.0.
    (closes: #565831)
	
  [ Francesco Paolo Lovergine ]
  * Removed Fabio Tranchitella from Uploaders.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 26 Jan 2010 23:03:26 +0100

mapserver (5.6.0+final-1) unstable; urgency=low

  * New upstream release, reissued after some last minute changes. This is
    the current 5.6.0 upstream version. 
  * Added a lintian override-file for mismatched 
    possible-gpl-code-linked-with-openssl error. 
  * Policy bumped to 3.8.3 (no changes).
  * Added missing ${misc:Depends} item in each control stanza.
  * Added a README.source for documenting dpatch use.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 24 Dec 2009 19:22:16 +0100

mapserver (5.6.0-1) unstable; urgency=low

  [ Alan Boudreault ]
  * Debhelper compatibility level moved to 7.
  * Now uses dh_prep instead of deprecated dh_clean -k.
  * Deprecated dh_movefiles changed in dh_install.
  * Removed debian/AGG and debian/agg-2.4.uu: use AGG included with Mapserver source.
  * Clean up of debian/rules: removed all agg related stuff.
  * Added libxslt1-dev, libpam0g-dev and libreadline-dev build-dependencies. 
  * Added msencrypt binary.
  * Added SWF support. (flash)
  * Added fribidi support.
  * Added libfribidi-dev, libming-dev build-dependencies.
  * Added MIGRATION_GUIDE and xml mapfile related files into mapserver-doc package.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 15 Dec 2009 18:10:22 +0100

mapserver (5.4.2-1) unstable; urgency=high

  * New upstream release, with a few fixes. 
    Proper fix for CVE-2009-0840.
    (closes: #535340, #532446)

 -- Alan Boudreault <aboudreault@mapgears.com>  Fri, 24 Jul 2009 09:16:45 -0400

mapserver (5.4.1-1) experimental; urgency=low

  * New upstream release, with a few fixes. 

 -- Alan Boudreault <aboudreault@mapgears.com>  Thu, 04 Jun 2009 14:51:13 -0400

mapserver (5.4.0-1) experimental; urgency=low

  [ Alan Boudreault ]
  * New upstream release.
  * Added Alan as Uploader in debian/control.
  * Removed obsolete html doc generation in debian/rules and 
    from mapserver-doc package.  

  [ Francesco Paolo Lovergine ]
  * Updated sections due to ftmpasters changes.
  * Removed obsolete proj alternative build-dep.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 26 May 2009 21:45:45 +0200

mapserver (5.2.2-1) unstable; urgency=high

  * New upstream release, with security fixes.
  * Now using libproj-dev build-dep for new proj package style.
  * Removed Paul Wise among Uploaders after his request. Also revised list
    to reflect only recent (less than 24 months) contributors.
  * Added libogdi3.2-dev build-dependency.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 27 Mar 2009 13:48:26 +0100

mapserver (5.2.1-2) unstable; urgency=low

  * debian/watch: fixed. (Closes: #515732)
  * debian/po/ja.po: updated. (Closes: #510897)

 -- Fabio Tranchitella <kobold@debian.org>  Thu, 05 Mar 2009 22:55:48 +0100

mapserver (5.2.1-1) experimental; urgency=low

  * New upstream release.

