=== debian/control ===
Source: mapserver
Section: devel
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>, Alan Boudreault <aboudreault@mapgears.com>
Standards-Version: 3.9.1
Build-Depends: debhelper (>= 7), libcurl4-gnutls-dev, libpng12-dev, zlib1g-dev (>= 1.1.4),
 libgd2-xpm-dev (>= 2.0.1-10), libfreetype6-dev (>= 2.0.9), libjpeg62-dev, libgdal1-dev (>=1.4.0), libproj-dev,
 libpq-dev, php5-dev, swig, python-all, python-all-dev, python-central (>= 0.5), libgeos-dev (>= 2.2.3-2),
 ruby1.8, ruby1.8-dev, ruby1.9.1, ruby1.9.1-dev,
 sharutils, libsdl1.2-dev, libfreetype6-dev, libx11-dev,
 libfcgi-dev, libxml2-dev, libogdi3.2-dev, libxslt1-dev, libpam0g-dev, libreadline-dev, 
 libfribidi-dev, libming-dev, libedit-dev
Build-Depends-Indep: python-docutils
Build-Conflicts: libcurl3-openssl-dev
XS-Python-Version: all
Homepage: http://www.mapserver.org
Vcs-Browser: http://git.debian.org/?p=pkg-grass/mapserver.git
Vcs-Git: git://git.debian.org/git/pkg-grass/mapserver.git

Package: php5-mapscript
Section: php
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: mapserver-bin, mapserver-doc
Description: php5-cgi module for MapServer
 PHP MapScript provides MapServer functions for PHP scripts.

Package: perl-mapscript
Section: perl
Architecture: any
Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: mapserver-bin, mapserver-doc
Description: Perl MapServer library
 Perl MapScript provides MapServer functions for Perl scripts.

Package: cgi-mapserver
Section: web
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: mapserver-bin, mapserver-doc
Description: CGI executable for MapServer
 This package contains the mapserv CGI program. It provides the
 MapServer template language, and can be used to implement Web Map
 Service applications.
 .
 MapServer is a CGI-based framework for Internet map services which
 supports Open Geospatial Consortium (OGC) standards. Scripting
 functionality in MapScript is provided by the suggested mapscript
 library packages.

Package: python-mapscript
Section: python
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: mapserver-bin, mapserver-doc
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Python library for MapServer
 Python MapScript provides MapServer functions for Python scripts.

Package: mapserver-bin
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
Suggests: libdbi-perl, perl-mapscript, python-mapscript, cgi-mapserver, mapserver-doc, php5-mapscript, shapelib
Description: MapServer utilities
 This package provides command-line utilities for MapServer.
 .
 MapServer is a CGI-based framework for Internet map services which
 supports Open Geospatial Consortium (OGC) standards. Scripting
 functionality in MapScript is provided by the suggested mapscript
 library packages.

Package: mapserver-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: perl-mapscript, python-mapscript, php5-mapscript, cgi-mapserver
Description: documentation for MapServer
 This package provides some brief documentation for MapServer.
 .
 MapServer is a CGI-based framework for Internet map services which
 supports Open Geospatial Consortium (OGC) standards. Scripting
 functionality in MapScript is provided by the suggested mapscript
 library packages.

Package: libmapscript-ruby
Section: ruby
Architecture: all
Depends: libmapscript-ruby1.8, ${misc:Depends}
Description: Ruby MapServer library
 Ruby MapScript provides MapServer functions for Ruby scripts.
 .
 This package contains examples and depends on package for Debian
 default version of Ruby.

Package: libmapscript-ruby1.8
Section: ruby
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: mapserver-bin, mapserver-doc
Description: Ruby MapServer library
 Ruby MapScript provides MapServer functions for Ruby scripts.

Package: libmapscript-ruby1.9.1
Section: ruby
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: mapserver-bin, mapserver-doc
Description: Ruby MapServer library
 Ruby MapScript provides MapServer functions for Ruby scripts.
