=== debian/rules ===
--- 
+++ 
@@ -14,8 +14,10 @@
 version_major=$(shell expr `pwd` : '.*-\([0-9]*\).[0-9.]*')
 CURDIR := $(shell pwd)
 PYVERS=$(shell pyversions -r debian/control)
+RUBYVERS=1.8 1.9.1
 PHP5API=$(shell php-config5 --phpapi)
 PHP5DIR=$(shell php-config5 --extension-dir)
+
 
 # Configure config :
 # Not using non free libpdf
@@ -29,6 +31,8 @@
 		--without-pdf \
 		--with-gd=/usr \
 		--with-freetype=/usr \
+		--with-fribidi-config \
+		--with-ming \
 		--with-zlib=/usr \
 		--with-png=/usr \
 		--with-xpm=/usr \
@@ -39,25 +43,33 @@
 		--with-eppl \
 		--with-postgis \
 		--with-wcs \
+		--with-sos \
 		--with-wms \
 		--with-wmsclient \
 		--with-wfs \
 		--with-wfsclient \
 		--with-threads \
-		--with-geos
+		--with-geos \
+		--with-fastcgi \
+		--with-agg \
+		--with-experimental-png
 
 rstoptions=--stylesheet=mapscript.css --link-stylesheet 
 
-configure-stamp: patch
-	dh_testdir
-	./configure $(COMMON_CONFIG)
+MS_CFLAGS=-g -O2
+MS_CXXFLAGS=$(MS_CFLAGS)
+
+configure-stamp: 
+	dh_testdir
+	./configure $(COMMON_CONFIG) CFLAGS="$(MS_CFLAGS)" CXXFLAGS="$(MS_CXXFLAGS)"
+
 
 	touch configure-stamp
 
-configure-php5-stamp: patch clean-first-build
+configure-php5-stamp: clean-first-build
 	dh_testdir
 	./configure $(COMMON_CONFIG) \
-		--with-php=/usr/include/php5 
+		--with-php=/usr/include/php5  CFLAGS="$(MS_CFLAGS)" CXXFLAGS="$(MS_CXXFLAGS)"
 
 	touch configure-php5-stamp
 
@@ -71,23 +83,6 @@
 build-indep: build-indep-stamp
 build-indep-stamp:
 	dh_testdir
-
-	mkdir html
-	rst2html $(rstoptions) mapscript/doc/imagery-HOWTO.txt > html/imagery-HOWTO.html
-	rst2html $(rstoptions) mapscript/doc/mapfile-HOWTO.txt > html/mapfile-HOWTO.html
-	rst2html $(rstoptions) mapscript/doc/mapscript.txt > html/mapscript.html
-	rst2html $(rstoptions) mapscript/doc/python.txt > html/python.html
-	rst2html $(rstoptions) mapscript/doc/querying-HOWTO.txt > html/querying-HOWTO.html
-	rst2html $(rstoptions) rfc/ms-rfc-1.txt > html/ms-rfc-1.html
-	rst2html $(rstoptions) rfc/ms-rfc-2.txt > html/ms-rfc-2.html
-	rst2html $(rstoptions) rfc/ms-rfc-3.txt > html/ms-rfc-3.html
-	rst2html $(rstoptions) rfc/ms-rfc-4.txt > html/ms-rfc-4.html
-	rst2html $(rstoptions) rfc/ms-rfc-5.txt > html/ms-rfc-5.html
-	rst2html $(rstoptions) rfc/ms-rfc-6.txt > html/ms-rfc-6.html
-	rst2html $(rstoptions) rfc/ms-rfc-7.txt > html/ms-rfc-7.html
-	rst2html $(rstoptions) rfc/ms-rfc-8.txt > html/ms-rfc-8.html
-	cp mapscript/doc/default.css html
-	cp mapscript/doc/mapscript.css html
 
 	touch build-indep-stamp
 
@@ -108,6 +103,13 @@
 	cd $(CURDIR)/mapscript/python && \
 	  set -e; for python in $(PYVERS); do $$python setup.py build; done
 
+	# Build ruby
+	cd $(CURDIR)/mapscript/ruby && set -e ; \
+	  for v in $(RUBYVERS) ; do \
+	    ruby$$v extconf.rb && $(MAKE) && \
+	      mv mapscript.so ruby$$v-mapscript.so ; \
+	  done
+
 	touch build-arch-stamp
 
 build-php5-stamp: configure-php5-stamp
@@ -127,34 +129,35 @@
 	-$(RM) configure-stamp build-arch-stamp build-indep-stamp
 
 	-$(RM) tile4ms
-	-$(MAKE) mapscriptvars || touch mapscriptvars
-	-cd mapscript/perl && $(MAKE) distclean
+	[ ! -f $(CURDIR)/Makefile ] || $(MAKE) mapscriptvars 
+	touch mapscriptvars
+	[ ! -f $(CURDIR)/mapscript/perl/Makefile ] || $(MAKE) distclean -C $(CURDIR)/mapscript/perl
 	-cd mapscript/python && \
 	  for python in $(PYVERS); do $$python setup.py clean; done
 	-$(RM) -rf mapscript/python/build
+	[ ! -f $(CURDIR)/mapscript/ruby/Makefile ] || $(MAKE) distclean -C $(CURDIR)/mapscript/ruby
+	-$(RM) -rf $(CURDIR)/mapscript/ruby/mapscript_wrap.c
 	-$(RM) mapscriptvars
 
-	-$(RM) mapscript/perl/mapscript.i \
+	-$(RM)  mapscript/perl/mapscript.i \
 		mapscript/tcl/mapscript.i \
 		mapscript/python/mapscript.i
 
-	-$(MAKE) distclean
-
-	# Remove some generated files until 50_clean.dpatch is applied upstream.
+	[ ! -f $(CURDIR)/Makefile ] || $(MAKE) distclean
+
+	# Remove some generated files 
 	-$(RM) Makefile mapscript/java/Makefile
 	-$(RM) mapscript/csharp/Makefile mapscript/php3/Makefile
 	-$(RM) config.log config.status
 
-	-$(RM) -rf html/
-
 	-$(RM) debian/.#* .#*
 
-
-clean: unpatch clean-first-build
-	dh_testdir
-	dh_clean
+clean: clean-first-build
+	dh_testdir
+	dh_prep
 	-$(RM) configure-php5-stamp build-php5-stamp install-arch-stamp install-indep-stamp install-php5-stamp
-	-$(MAKE) distclean
+	[ ! -f Makefile ] || $(MAKE) distclean
+	rm -f debian/*.debhelper.log
 
 install-indep: install-indep-stamp
 install-indep-stamp: build-indep
@@ -179,8 +182,7 @@
 
 	# Perl mapscript
 	cd $(CURDIR)/mapscript/perl && \
-        $(MAKE) install PREFIX=$(CURDIR)/debian/perl-mapscript/usr/ \
-	                SITEPREFIX=$(CURDIR)/debian/perl-mapscript/usr/
+        $(MAKE) install DESTDIR=$(CURDIR)/debian/perl-mapscript
 
 	# Python mapscript
 	cd $(CURDIR)/mapscript/python && set -e ; \
@@ -188,9 +190,17 @@
 	    $$python setup.py install --root=$(CURDIR)/debian/python-mapscript ; \
 	  done
 
+	# Ruby mapscript
+	cd $(CURDIR)/mapscript/ruby && set -e ; \
+	  for v in $(RUBYVERS) ; do \
+	    ruby$$v extconf.rb ; \
+	      $(MAKE) install sitedir=$(CURDIR)/debian/libmapscript-ruby$$v/usr/lib/ruby ; \
+	      $(MAKE) distclean ; \
+	  done
+
 	# Mapserver  Binary
 	install -m755 legend scalebar shp2img shptree \
-		shptreetst shptreevis sortshp tile4ms \
+		shptreetst shptreevis sortshp tile4ms msencrypt \
 		debian/tmp/usr/bin
 	install -m755 shp2mysql.pl debian/tmp/usr/bin/shp2mysql
 	touch install-arch-stamp
@@ -214,9 +224,11 @@
 	dh_testroot -i
 	dh_installchangelogs -i HISTORY.TXT
 	dh_installdocs -i
+	dh_installexamples -i
 	dh_installdebconf -i
-	dh_compress -i
+	dh_compress -i -X.xml -X.xsd -X.xsl
 	dh_link -i
+	dh_lintian -i
 	dh_fixperms -i
 	dh_installdeb -i
 	dh_gencontrol -i
@@ -226,7 +238,7 @@
 binary-arch: install-arch
 	dh_testdir -a
 	dh_testroot -a
-	dh_movefiles -a
+	dh_install --autodest --list-missing --sourcedir=debian/tmp
 	dh_installchangelogs -a HISTORY.TXT
 	dh_installdocs -a
 	dh_installexamples -a
@@ -235,6 +247,12 @@
 	dh_pycentral -ppython-mapscript
 	dh_compress -a
 	dh_link -a
+	# Overrides a mismatched error from lintian
+	for pkg in $$(cat debian/lintian-overrides|cut -d: -f1); do \
+			echo "$$pkg: possible-gpl-code-linked-with-openssl" >debian/$$pkg.lintian-overrides; \
+			cat debian/$$pkg.lintian-overrides; \
+	done
+	dh_lintian -a
 	dh_strip -a
 	dh_fixperms -a
 	dh_makeshlibs -a
@@ -250,4 +268,3 @@
 
 .PHONY: build build-arch build-indep clean binary-indep binary-arch binary install install-indep install-arch
 
-include /usr/share/dpatch/dpatch.make
