## mapserver 6.0.1

=== debian/changelog ===
mapserver (6.0.1-3) unstable; urgency=low

  * Let the configure script search in the system directory for jpeg stuff.
    (closes: #661914)
  * Added fixgeos patch to use correcly the geos-config script.
  * Minimum version for geos set to 3.3.1.
  * Added patch php54 to work with PHP 5.4 too, and reflect changes in the API.
  * Updated debconf template with nl and pt_BR translations.
    (closes: #657153, #661288)
  * Now b-deps on libpng-dev.
    (closes: #662426)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 05 Mar 2012 16:06:32 +0100

mapserver (6.0.1-2) unstable; urgency=low

  * Added missed stuff for libmapscript-perl.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 23 Dec 2011 14:02:06 +0100

mapserver (6.0.1-1) unstable; urgency=low
	
  [ Alan Boudreault ]
  * New upstream release.

  [ Francesco Paolo Lovergine ]
  * Debhelper level set to 8.
  * This version still uses libpng 1.2, but is ready also for 1.5.
  * Removed explicit settings of png dir, it collids with multi-arch support. 
  * Now mapscript/php3 moved finally to mapscript/php. Install file changed as
    due.
  * Removed obsolete python-docutils build-dep. Thanks Jakub Wilk.
    (closes: #635256)
  * Renamed perl-mapscript to libmapscript-perl to adhere the Perl naming
    policy.
    (closes: #575934)
  * Revised description of Perl mapscript.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 23 Dec 2011 10:26:04 +0100

mapserver (5.6.6-2) unstable; urgency=low

  * Ack previous NMU: added libepsilon-dev as build-dep.
    (closes: #624811)
  * Policy bumped to 3.9.2, no changes required.
  * Moved to libjpeg-dev as build-dep.
  * Migrated to dh_python2.
    (closes: #616883)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 13 Jul 2011 18:05:19 +0200
