=== debian/control ===
--- 
+++ 
@@ -3,17 +3,15 @@
 Priority: optional
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Francesco Paolo Lovergine <frankie@debian.org>, Alan Boudreault <aboudreault@mapgears.com>
-Standards-Version: 3.9.1
-Build-Depends: debhelper (>= 7), libcurl4-gnutls-dev, libpng12-dev, zlib1g-dev (>= 1.1.4),
- libgd2-xpm-dev (>= 2.0.1-10), libfreetype6-dev (>= 2.0.9), libjpeg62-dev, libgdal1-dev (>=1.4.0), libproj-dev,
- libpq-dev, php5-dev, swig, python-all, python-all-dev, python-central (>= 0.5), libgeos-dev (>= 2.2.3-2),
+Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 8), libcurl4-gnutls-dev, libpng-dev, zlib1g-dev (>= 1.1.4),
+ libgd2-xpm-dev (>= 2.0.1-10), libfreetype6-dev (>= 2.0.9), libjpeg-dev, libgdal1-dev (>=1.4.0), libproj-dev,
+ libpq-dev, php5-dev, swig, python-all (>= 2.6.6-3~), python-all-dev (>= 2.6.6-3~), libgeos-dev (>= 3.3.1-1~),
  ruby1.8, ruby1.8-dev, ruby1.9.1, ruby1.9.1-dev,
  sharutils, libsdl1.2-dev, libfreetype6-dev, libx11-dev,
  libfcgi-dev, libxml2-dev, libogdi3.2-dev, libxslt1-dev, libpam0g-dev, libreadline-dev, 
- libfribidi-dev, libming-dev, libedit-dev
-Build-Depends-Indep: python-docutils
+ libfribidi-dev, libming-dev, libedit-dev, libepsilon-dev, libcairo2-dev
 Build-Conflicts: libcurl3-openssl-dev
-XS-Python-Version: all
 Homepage: http://www.mapserver.org
 Vcs-Browser: http://git.debian.org/?p=pkg-grass/mapserver.git
 Vcs-Git: git://git.debian.org/git/pkg-grass/mapserver.git
@@ -26,13 +24,16 @@
 Description: php5-cgi module for MapServer
  PHP MapScript provides MapServer functions for PHP scripts.
 
-Package: perl-mapscript
+Package: libmapscript-perl
 Section: perl
 Architecture: any
 Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Suggests: mapserver-bin, mapserver-doc
-Description: Perl MapServer library
- Perl MapScript provides MapServer functions for Perl scripts.
+Provides: perl-mapscript
+Replaces: perl-mapscript
+Conflicts: perl-mapscript
+Description: Perl MapServer module
+ Perl MapScript module provides MapServer functions for Perl scripts.
 
 Package: cgi-mapserver
 Section: web
@@ -55,7 +56,6 @@
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Suggests: mapserver-bin, mapserver-doc
 Provides: ${python:Provides}
-XB-Python-Version: ${python:Versions}
 Description: Python library for MapServer
  Python MapScript provides MapServer functions for Python scripts.
