=== debian/rules ===
--- 
+++ 
@@ -32,11 +32,8 @@
 		--with-gd=/usr \
 		--with-freetype=/usr \
 		--with-fribidi-config \
-		--with-ming \
 		--with-zlib=/usr \
-		--with-png=/usr \
 		--with-xpm=/usr \
-		--with-jpeg=/usr \
 		--with-gdal \
 		--with-ogr \
 		--with-proj \
@@ -51,15 +48,16 @@
 		--with-threads \
 		--with-geos \
 		--with-fastcgi \
-		--with-agg \
-		--with-experimental-png
+		-with-agg \
+		--with-experimental-png \
+		--with-cairo
 
 rstoptions=--stylesheet=mapscript.css --link-stylesheet 
 
 MS_CFLAGS=-g -O2
 MS_CXXFLAGS=$(MS_CFLAGS)
 
-configure-stamp: 
+configure-stamp:
 	dh_testdir
 	./configure $(COMMON_CONFIG) CFLAGS="$(MS_CFLAGS)" CXXFLAGS="$(MS_CXXFLAGS)"
 
@@ -114,7 +112,7 @@
 
 build-php5-stamp: configure-php5-stamp
 	dh_testdir
-	-cd mapscript/php3 && \
+	-cd mapscript/php && \
 		$(MAKE) clean
 	# Build php_mapscript
 	$(MAKE)
@@ -147,7 +145,7 @@
 
 	# Remove some generated files 
 	-$(RM) Makefile mapscript/java/Makefile
-	-$(RM) mapscript/csharp/Makefile mapscript/php3/Makefile
+	-$(RM) mapscript/csharp/Makefile mapscript/php/Makefile
 	-$(RM) config.log config.status
 
 	-$(RM) debian/.#* .#*
@@ -182,7 +180,7 @@
 
 	# Perl mapscript
 	cd $(CURDIR)/mapscript/perl && \
-        $(MAKE) install DESTDIR=$(CURDIR)/debian/perl-mapscript
+        $(MAKE) install DESTDIR=$(CURDIR)/debian/libmapscript-perl
 
 	# Python mapscript
 	cd $(CURDIR)/mapscript/python && set -e ; \
@@ -212,7 +210,7 @@
 	-mkdir -p debian/tmp$(PHP5DIR)
 
 	# php5-mapscript
-	install -m644 mapscript/php3/php_mapscript.so \
+	install -m644 mapscript/php/php_mapscript.so \
 		debian/tmp$(PHP5DIR)
                       
 	echo 'misc:Depends=phpapi-'$(PHP5API) >> debian/php5-mapscript.substvars
@@ -244,7 +242,7 @@
 	dh_installexamples -a
 	chmod a-x debian/php*-mapscript/usr/share/doc/php*-mapscript/examples/*.phtml
 	dh_installdebconf -a
-	dh_pycentral -ppython-mapscript
+	dh_python2 -ppython-mapscript
 	dh_compress -a
 	dh_link -a
 	# Overrides a mismatched error from lintian
@@ -258,7 +256,7 @@
 	dh_makeshlibs -a
 	dh_installdeb -a
 	dh_shlibdeps -a
-	dh_perl -pperl-mapscript 
+	dh_perl -plibmapscript-perl
 	dh_perl -pmapserver-bin
 	dh_gencontrol -a
 	dh_md5sums -a
